Runtime

## org.eclipse.gmf.runtime.notation
Interface Bounds

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, LayoutConstraint, Location, org.eclipse.emf.common.notify.Notifier, Size

All Known Implementing Classes:
  BoundsImpl

    public interface Bounds

extends Location, Size

A representation of the model object 'Bounds'.

Bounds are layout constraints for nodes to specify their location and size

See Also:
  `NotationPackage.getBounds()`
** Generated **
Model:

Method Summary

Methods inherited from interface org.eclipse.gmf.runtime.notation.Location
`getX, getY, setX, setY`

Methods inherited from interface org.eclipse.gmf.runtime.notation.Size
`getHeight, getWidth, setHeight, setWidth`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.